OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
OpenMesh::Iterators::GenericIteratorT< Mesh, ValueHandle, MemberOwner, PrimitiveStatusMember, PrimitiveCountMember > Class Template Reference
Collaboration diagram for OpenMesh::Iterators::GenericIteratorT< Mesh, ValueHandle, MemberOwner, PrimitiveStatusMember, PrimitiveCountMember >:
[legend]

## Public Types
typedef ValueHandle | value_handle
typedef value_handle | value_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef std::ptrdiff_t | difference_type
typedef const value_type & | reference
typedef const value_type * | pointer
typedef const Mesh * | mesh_ptr
typedef const Mesh & | mesh_ref

## Public Member Functions
| GenericIteratorT ()
| Default constructor.
| GenericIteratorT (mesh_ref _mesh, value_handle _hnd, bool _skip=false)
| Construct with mesh and a target handle.
reference | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Standard pointer operator.
value_handle | handle () const
| Get the handle of the item the iterator refers to.
| operator value_handle () const
| Cast to the handle of the item the iterator refers to.
bool | operator== (const GenericIteratorT &_rhs) const
| Are two iterators equal? Only valid if they refer to the same mesh!
bool | operator!= (const GenericIteratorT &_rhs) const
| Not equal?
GenericIteratorT & | operator++ ()
| Standard pre-increment operator.
GenericIteratorT & | operator-- ()
| Standard pre-decrement operator.
void | enable_skipping ()
| Turn on skipping: automatically skip deleted/hidden elements.
void | disable_skipping ()
| Turn on skipping: automatically skip deleted/hidden elements.

## Protected Attributes
mesh_ptr | mesh_
value_handle | hnd_
unsigned int | skip_bits_

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/IteratorsT.hh